import Vue from 'vue'
import { appId, jsApiList } from '@/config/js-config'
import wx from 'jweixin-module'
import { shareSDK } from '@/api/userApi/share'

const dev = process.env.EVN

Vue.prototype.$wxReady = async (callback, apiList = []) => {
  try {
    const url = 'https://zp.caimei365.com/12/ross'
    // console.log('当前页面地址：', url)
    const res = await shareSDK({ url: url, appId })
    console.log(res)
    wx.config({
      debug: true, // 开启调试模式,调用的所有 api 的返回值会在客户端 alert 出来，若要查看传入的参数，可以在 pc 端打开，参数信息会通过 log 打出，仅在 pc 端时才会打印。
      appId: appId, // 必填，公众号的唯一标识
      timestamp: res.timestamp, // 必填，生成签名的时间戳
      nonceStr: res.noncestr, // 必填，生成签名的随机串
      signature: res.signature, // 必填，签名
      jsApiList: [...jsApiList] // 必填，需要使用的 JS 接口列表
    })
    wx.ready(callback(wx))
    wx.error(function (error) {
      throw error
    })
  } catch (error) {
    if (dev === 'development') {
      console.warn('jssdk init error：' + error.msg || error.message)
    } else {
      console.warn('jssdk init error')
    }
  }
}
